Uploaded image for project: 'OpenMRS Core'
  1. OpenMRS Core
  2. TRUNK-4986

Upgrade liquibase to version 3.1.1

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Must
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: Core 2.4.0
    • Component/s: None
    • Complexity:
      High
    • Sprint:
      Upgrade Libraries Sprint 1

      Description

      This is the version that you would need to change: https://github.com/openmrs/openmrs-core/blob/2.2.0/pom.xml#L282
      After doing so, confirm that you can successfully compile. Get an instance of the latest reference application and replace its platform war file with the one you have compiled. Run and do some basic testing to confirm that all is well. Try to do a fresh setup of OpenMRS to see if all is good. Try an upgrade from a lower platform version to the one you compiled to see if all is still fine.

      You may also need to update these liquibase extensions: https://wiki.openmrs.org/display/docs/Liquibase+Extensions

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            ssmusoke Stephen Senkomago Musoke
            Votes:
            0 Vote for this issue
            Watchers:
            11 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 3 weeks Original Estimate - 3 weeks
                3w
                Remaining:
                Time Spent - 3 weeks Remaining Estimate - 3 weeks
                3w
                Logged:
                Time Spent - 3 weeks Remaining Estimate - 3 weeks
                3w